# Queue Class Reference
[Connectors and dialects for various databases]

OSQL's queries queue. More...

Inheritance diagram for Queue:
[legend]

List of all members.

## Public Member Functions

| getId ()
| setId ($id)
| getQueue ()
| add (Query $query)
| remove (Query $query)
| drop ()
| run (DB $db)
| flush (DB $db)
| toString ()
| toDialectString (Dialect $dialect)

## Static Public Member Functions

static | create ()

## Private Attributes

| $queue = array()

## Detailed Description

OSQL's queries queue.

See also:
  OSQL

Todo:
  introduce DBs without multi-query support handling

Definition at line 21 of file Queue.class.php.

## Member Function Documentation

Queue::add | ( | Query $ | query | ) |

Returns:
  Queue

Definition at line 51 of file Queue.class.php.

static Queue::create | ( |  | ) | `[static]`

Returns:
  Queue

Definition at line 28 of file Queue.class.php.

Queue::drop | ( |  | ) |

Returns:
  Queue

Definition at line 74 of file Queue.class.php.

Queue::flush | ( | DB $ | db | ) |

Returns:
  Queue

Definition at line 94 of file Queue.class.php.

References run().

Here is the call graph for this function:

Queue::getId | ( |  | ) |

Definition at line 33 of file Queue.class.php.

Queue::getQueue | ( |  | ) |

Definition at line 43 of file Queue.class.php.

Queue::remove | ( | Query $ | query | ) |

Returns:
  Queue

Definition at line 61 of file Queue.class.php.

Queue::run | ( | DB $ | db | ) |

Returns:
  Queue

Definition at line 84 of file Queue.class.php.

References DB::getDialect(), DB::queryRaw(), and toDialectString().

Referenced by flush().

Here is the call graph for this function:

Queue::setId | ( | $ | id | ) |

Definition at line 38 of file Queue.class.php.

Queue::toDialectString | ( | Dialect $ | dialect | ) |

Definition at line 105 of file Queue.class.php.

Referenced by run(), and toString().

Queue::toString | ( |  | ) |

Implements Stringable.

Definition at line 100 of file Queue.class.php.

References ImaginaryDialect::me(), and toDialectString().

Here is the call graph for this function:

## Member Data Documentation

Queue::$queue = array()`[private]`

Definition at line 23 of file Queue.class.php.

The documentation for this class was generated from the following file:

- core/DB/Queue.class.php